# vim: set ts=4 sw=4 et:

%{!?python2_sitelib:  %global python2_sitelib  %(python2 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(python2 -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           BitTorrent
BuildRequires:  python2-curses
BuildRequires:  pkgconfig(python2)
BuildRequires:  python2-gtk-devel
BuildRequires:  update-desktop-files
Summary:        Scatter-Gather Network File Transfer
Version:        4.4.0
Release:        4.3
Source0:        %{name}-%{version}.tar.bz2
Source1:        bittorrent.png
Patch0:         %{name}-4.4.0-docdir.patch
Source99:       BitTorrent-rpmlintrc
License:        Beerware
Group:          Productivity/Networking/File-Sharing
URL:            http://bittorrent.com/
BuildArch:      noarch
%{py_requires}

%description
BitTorrent is a tool for distributing files. It's extremely easy to use
- downloads are started by clicking on hyperlinks. Whenever more than
one person is downloading at once they send pieces of the file(s) to
each other, thus relieving the central server's bandwidth burden. Even
with many simultaneous downloads, the upload burden on the central
server remains quite small, since each new downloader introduces new
upload capacity.

%package gtk
Summary:        Scatter-Gather Network File Transfer - GTK based UI
Group:          Productivity/Networking/File-Sharing
Requires:       python-gtk
Requires:       %name = %version
Provides:       BitTorrent:/usr/bin/btdownloadgui

%description gtk
BitTorrent is a tool for distributing files. It's extremely easy to use
- downloads are started by clicking on hyperlinks. Whenever more than
one person is downloading at once they send pieces of the file(s) to
each other, thus relieving the central server's bandwidth burden. Even
with many simultaneous downloads, the upload burden on the central
server remains quite small, since each new downloader introduces new
upload capacity.

%package curses
Summary:        Scatter-Gather Network File Transfer - Curses based UI
Group:          Productivity/Networking/File-Sharing
Requires:       python-curses
Requires:       %name = %version
Provides:       BitTorrent:/usr/bin/btdownloadcurses

%description curses
BitTorrent is a tool for distributing files. It's extremely easy to use
- downloads are started by clicking on hyperlinks. Whenever more than
one person is downloading at once they send pieces of the file(s) to
each other, thus relieving the central server's bandwidth burden. Even
with many simultaneous downloads, the upload burden on the central
server remains quite small, since each new downloader introduces new
upload capacity.

%prep
%setup -q
%patch0

%build
export CFLAGS="%{optflags}"
python2 ./setup.py build

%install
python2 ./setup.py install \
    --prefix="%{_prefix}" \
    --root="%{buildroot}" \
    --record-rpm=INSTALLED_FILES

for x in "%{buildroot}%{_bindir}"/*.py ; do
    [ -e "$x" ] || continue
    mv -v "$x" "${x%%.py}"
done
perl -p -i -e 's|^(%{_bindir}/.+)\.py$|$1|' INSTALLED_FILES

perl -n -i -e 'print unless m,^(%dir\s+)?(/usr/share/doc/packages|/usr/share/pixmaps)$,' INSTALLED_FILES
perl -n -i -e 'print unless m,^%{_bindir}/(.*curses|bittorrent|maketorrent)$,' INSTALLED_FILES

perl -n -i -e 'print unless m,^%{python2_sitelib}/khashmir/test_krpc.pyc$,' INSTALLED_FILES

perl -n -i -e 'print unless m,^(%dir\s+)?/usr/share/locale/.+,' INSTALLED_FILES

install -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/pixmaps/"
%suse_update_desktop_file -c bittorrent BitTorrent "BitTorrent Client" btdownloadgui bittorrent "Network;P2P;"
chmod 0644 "%{buildroot}%{_datadir}/applications"/*.desktop

%find_lang bittorrent


%files -f INSTALLED_FILES

%files gtk -f bittorrent.lang
%{_bindir}/bittorrent
%{_bindir}/maketorrent
%{_datadir}/applications/bittorrent.desktop
%{_datadir}/pixmaps/bittorrent.png

%files curses
%{_bindir}/bittorrent-curses
%{_bindir}/launchmany-curses

%changelog
* Tue Jul 21 2020 Fridrich Strba <fridrich.strba@bluewin.ch>
- Fix build by using explicitely the python2 macros
* Tue Apr 26 2011 pascal.bleser@opensuse.org
- update to 4.4.0
* Thu Feb 19 2009 matejcik@suse.cz
- added desktop file (bnc#340215)
* Thu Apr  3 2008 matejcik@suse.cz
- update to version 4.0.4
  !! this version does NOT contain khashmir (DHT) technology !!
  * minor bugfixes
- fixed pygtk deprecation warnings (bnc#360593)
* Thu Jun 21 2007 adrian@suse.de
- fix changelog entry order
* Mon Feb  5 2007 matejcik@suse.cz
- added split provides to correctly upgrade from 10.0 and older
* Wed Aug 16 2006 cthiel@suse.de
- buildrequire python-gtk-devel instead of python-gtk
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 dmueller@suse.de
- add comment in spec file
* Mon Oct 17 2005 dmueller@suse.de
- fix permissions of installed files
* Tue Aug 30 2005 mrueckert@suse.de
- added desktop file and icon. (bug #113687)
* Sat Aug 13 2005 dmueller@suse.de
- update 4.0.3
- split package in a -gtk and -curses package to reduce
  dependencies for tracker-only installations
* Fri Aug  5 2005 mrueckert@suse.de
- We use %%_libdir -> platform specific
* Mon Jul 25 2005 mrueckert@suse.de
- dont build as root
- remove %%_docdir from the package list
- build as noarch
* Mon Jul 25 2005 mrueckert@suse.de
- downgrade to 4.0.2 (no trackerless support)
- fixed installation of the documentation
* Mon Jun  6 2005 cthiel@suse.de
- update to 4.1.1
* Mon Apr 11 2005 mcihar@suse.cz
- update to 4.0.1
* Wed Apr  6 2005 mcihar@suse.cz
- fix dependencies (bug #75904)
* Wed Mar 16 2005 mcihar@suse.cz
- fix permissions
* Thu Mar 10 2005 mcihar@suse.cz
- fix filelist
* Wed Mar  9 2005 mcihar@suse.cz
- update to 4.0.0 (bug #71846)
* Tue Feb  8 2005 mcihar@suse.cz
- use better permissions, remove unused files
* Wed Aug  4 2004 mcihar@suse.cz
- rename programs not to contain py extension
* Fri May 21 2004 mcihar@suse.cz
- initial packaging
